# -D MUST pass in _version and _release, and SHOULD pass in dist.

Summary: Varnish Module for dispatching control to VCL labels or subroutines
Name: vmod-dispatch
Version: %{_version}
Release: %{_release}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://code.uplex.de/uplex-varnish/libvmod-dispatch
Source0: %{name}-%{version}.tar.gz

# varnish from varnish62 at packagecloud
# Strictly require 6.3.0 by commit ID.
Requires: varnishd(abi)%{?_isa} == 0c9a93f1b2c6de49b8c6ec8cefd9d2be50041d79

BuildRequires: varnish-devel == 6.3.0
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
BuildRequires: python-docutils >= 0.6

# git builds
#BuildRequires: automake
#BuildRequires: autoconf
#BuildRequires: autoconf-archive
#BuildRequires: libtool
#BuildRequires: python-docutils >= 0.6

Provides: vmod-dispatch, vmod-dispatch-debuginfo

%description
Varnish Module (VMOD) for dispatching control to VCL labels or subroutines.

%prep
%setup -q -n %{name}-%{version}

%build

# if this were a git build
# ./autogen.sh

%configure VARNISHSRC=%{VARNISHSRC}

%{__make} %{?_smp_mflags}

%check

%{__make} %{?_smp_mflags} check

%install

%{__make} install DESTDIR=%{buildroot}

# Only use the version-specific docdir created by %doc below
rm -rf %{buildroot}%{_docdir}

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name '*.a' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%{_mandir}/man3/*.3*
%doc README.rst COPYING LICENSE

%post
/sbin/ldconfig

%changelog
* Tue Oct 8 2019 Geoff Simmons <geoff@uplex.de> - %{_version}-%{_release}
  Compatible with Varnish 6.3.0.

* Tue Apr 16 2019 Geoff Simmons <geoff@uplex.de> - 0.2.0-1
  Compatible with Varnish 6.2.0.

* Tue Apr 16 2019 Geoff Simmons <geoff@uplex.de> - 0.1.0-1
  Compatible with Varnish 6.0.3.
